Page MenuHomePhabricator

Use OO.ui.alert() instead of plain alert for Thanks error messages
Closed, ResolvedPublic

Description

			// Fail
			function ( errorCode, details ) {
				// TODO: use something besides alert for the error messages
				switch ( errorCode ) {
					case 'invalidrevision':
						alert( mw.msg( 'thanks-error-invalidrevision' ) );
...

Details

Related Gerrit Patches:
mediawiki/extensions/Thanks : masterUse OO.ui.alert() instead of plain alert

Event Timeline

Legoktm created this task.Mar 4 2016, 6:55 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMar 4 2016, 6:55 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Prtksxna claimed this task.Jul 15 2016, 3:17 PM

Change 299162 had a related patch set uploaded (by Prtksxna):
Use OO.ui.alert() instead of plain alert

https://gerrit.wikimedia.org/r/299162

Change 299162 merged by jenkins-bot:
Use OO.ui.alert() instead of plain alert

https://gerrit.wikimedia.org/r/299162

Catrope closed this task as Resolved.Sep 22 2016, 12:53 AM